Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_IMR_i Class Reference

TAO's command line helper application. More...

`#include <tao_imr_i.h>`

Collaboration diagram for TAO_IMR_i:

[legend]
List of all members.

## Public Methods
| TAO_IMR_i (void)
| ~TAO_IMR_i (void)
int | run (void)
| Execute client code.
int | init (int argc, char **argv)
| Initialize the client communication endpoint with server.
## Private Methods
void | print_usage (void)
| Print out information about all operations.
int | parse_args (void)
| Parses the arguments passed on the command line.
## Private Attributes
int | argc_
| # of arguments on the command line.
ACE_TCHAR** | argv_
| arguments from command line.
CORBA::ORB_var | orb_
| Remember our orb.
ImplementationRepository::Administration_var | implrepo_
| Reference to our implementation repository.
TAO_IMR_Op* | op_
| What we need to do.

## Detailed Description

TAO's command line helper application.

This class talks to the IMR and registers/lists/etc.

## Constructor & Destructor Documentation

TAO_IMR_i::TAO_IMR_i ( | void )

TAO_IMR_i::~TAO_IMR_i ( | void )

## Member Function Documentation

int TAO_IMR_i::init ( | int argc,
| char ** argv )

| Initialize the client communication endpoint with server.

int TAO_IMR_i::parse_args ( | void )`[private]`

| Parses the arguments passed on the command line.

void TAO_IMR_i::print_usage ( | void )`[private]`

| Print out information about all operations.

int TAO_IMR_i::run ( | void )

| Execute client code.

## Member Data Documentation

int TAO_IMR_i::argc_`[private]`

| # of arguments on the command line.

ACE_TCHAR ** TAO_IMR_i::argv_`[private]`

| arguments from command line.

ImplementationRepository::Administration_var TAO_IMR_i::implrepo_`[private]`

| Reference to our implementation repository.

TAO_IMR_Op * TAO_IMR_i::op_`[private]`

| What we need to do.

CORBA::ORB_var TAO_IMR_i::orb_`[private]`

| Remember our orb.

The documentation for this class was generated from the following files:

- tao_imr_i.h
- tao_imr_i.cpp